Bug 206196 - x11-wm/xfce4-panel dumps core
Summary: x11-wm/xfce4-panel dumps core
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-xfce mailing list
URL:
Keywords: crash, needs-qa
Depends on: 206198
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 11:50 UTC by Marko Cupać
Modified: 2019-09-26 13:58 UTC (History)
4 users (show)

See Also:
madpilot: maintainer-feedback+


Attachments
xfce4-panel gdb log with backtrace (8.55 KB, text/plain)
2016-01-13 12:37 UTC, Marko Cupać
no flags Details
xfce4-panel DEBUG gdb log with backtrace (9.02 KB, text/plain)
2016-01-13 16:19 UTC, Marko Cupać
no flags Details
gdb log (15.02 KB, text/plain)
2018-04-18 11:56 UTC, Marko Cupać
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Cupać 2016-01-13 11:50:41 UTC
Once a week or so panel in XFCE disappears and I get:
Jan 13 12:10:53 mephala kernel: pid 7250 (xfce4-panel), uid 1001: exited on signal 6 (core dumped)

This is 10.2-RELEASE-p8 amd64 on physical machine. I am starting XFCE with GDM.

xfce4-panel is built in poudriere with the following options:

---Begin OPTIONS List---
===> The following configuration options are available for xfce4-panel-4.12.0_1:
     GTK3=on: GTK+ 3 GUI toolkit support
     NLS=on: Native Language Support
===> Use 'make config' to modify these settings
---End OPTIONS List---

Here's gdb output:
pacija@mephala:~ % gdb /usr/local/bin/xfce4-panel xfce4-panel.core 
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "amd64-marcel-freebsd"...(no debugging symbols found)...
Core was generated by `xfce4-panel'.
Program terminated with signal 6, Aborted.
Reading symbols from /usr/local/lib/libxfce4panel-1.0.so.4...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxfce4panel-1.0.so.4
Reading symbols from /usr/local/lib/libexo-1.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libexo-1.so.0
Reading symbols from /usr/local/lib/libgmodule-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgmodule-2.0.so.0
Reading symbols from /usr/local/lib/libxfce4ui-1.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxfce4ui-1.so.0
Reading symbols from /usr/local/lib/libxfconf-0.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxfconf-0.so.2
Reading symbols from /usr/local/lib/libdbus-glib-1.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libdbus-glib-1.so.2
Reading symbols from /usr/local/lib/libdbus-1.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libdbus-1.so.3
Reading symbols from /usr/local/lib/libX11.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libX11.so.6
Reading symbols from /usr/local/lib/libwnck-1.so.22...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libwnck-1.so.22
Reading symbols from /usr/local/lib/libgtk-x11-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgtk-x11-2.0.so.0
Reading symbols from /usr/local/lib/libgdk-x11-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgdk-x11-2.0.so.0
Reading symbols from /usr/local/lib/libatk-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libatk-1.0.so.0
Reading symbols from /usr/local/lib/libcairo.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libcairo.so.2
Reading symbols from /usr/local/lib/libgdk_pixbuf-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgdk_pixbuf-2.0.so.0
Reading symbols from /usr/local/lib/libpango-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpango-1.0.so.0
Reading symbols from /usr/local/lib/libgobject-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgobject-2.0.so.0
Reading symbols from /usr/local/lib/libxfce4util.so.7...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxfce4util.so.7
Reading symbols from /usr/local/lib/libglib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libglib-2.0.so.0
Reading symbols from /usr/local/lib/libintl.so.8...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libintl.so.8
Reading symbols from /lib/libm.so.5...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.5
Reading symbols from /lib/libthr.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libthr.so.3
Reading symbols from /lib/libc.so.7...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.7
Reading symbols from /usr/local/lib/libpangocairo-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpangocairo-1.0.so.0
Reading symbols from /usr/local/lib/libgio-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgio-2.0.so.0
Reading symbols from /usr/local/lib/libpangoft2-1.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpangoft2-1.0.so.0
Reading symbols from /usr/local/lib/libfontconfig.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libfontconfig.so.1
Reading symbols from /usr/local/lib/libfreetype.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libfreetype.so.6
Reading symbols from /usr/local/lib/libSM.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libSM.so.6
Reading symbols from /usr/local/lib/libICE.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libICE.so.6
Reading symbols from /usr/local/lib/libiconv.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libiconv.so.2
Reading symbols from /usr/local/lib/libpcre.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpcre.so.1
Reading symbols from /usr/local/lib/libstartup-notification-1.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libstartup-notification-1.so.0
Reading symbols from /usr/local/lib/libgthread-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgthread-2.0.so.0
Reading symbols from /usr/local/lib/libxcb.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb.so.1
Reading symbols from /usr/lib/librpcsvc.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/librpcsvc.so.5
Reading symbols from /usr/local/lib/libXRes.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXRes.so.1
Reading symbols from /usr/local/lib/libXrender.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXrender.so.1
Reading symbols from /usr/local/lib/libXinerama.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXinerama.so.1
Reading symbols from /usr/local/lib/libXi.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXi.so.6
Reading symbols from /usr/local/lib/libXrandr.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXrandr.so.2
Reading symbols from /usr/local/lib/libXcursor.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXcursor.so.1
Reading symbols from /usr/local/lib/libXext.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXext.so.6
Reading symbols from /usr/local/lib/libXcomposite.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXcomposite.so.1
Reading symbols from /usr/local/lib/libXdamage.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXdamage.so.1
Reading symbols from /usr/local/lib/libXfixes.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXfixes.so.3
Reading symbols from /usr/local/lib/libpixman-1.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpixman-1.so.0
Reading symbols from /usr/local/lib/libEGL.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libEGL.so.1
Reading symbols from /usr/local/lib/libpng16.so.16...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpng16.so.16
Reading symbols from /usr/local/lib/libxcb-shm.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb-shm.so.0
Reading symbols from /usr/local/lib/libxcb-render.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb-render.so.0
Reading symbols from /lib/libz.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libz.so.6
Reading symbols from /usr/local/lib/libGL.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libGL.so.1
Reading symbols from /usr/local/lib/libffi.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libffi.so.6
Reading symbols from /usr/local/lib/libharfbuzz.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libharfbuzz.so.0
Reading symbols from /usr/local/lib/libexpat.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libexpat.so.1
Reading symbols from /usr/lib/libbz2.so.4...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libbz2.so.4
Reading symbols from /usr/local/lib/libxcb-util.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb-util.so.1
Reading symbols from /usr/local/lib/libX11-xcb.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libX11-xcb.so.1
Reading symbols from /usr/local/lib/libXau.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXau.so.6
Reading symbols from /usr/local/lib/libpthread-stubs.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpthread-stubs.so.0
Reading symbols from /usr/local/lib/libXdmcp.so.6...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXdmcp.so.6
Reading symbols from /usr/local/lib/libxcb-dri2.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb-dri2.so.0
Reading symbols from /usr/local/lib/libxcb-xfixes.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb-xfixes.so.0
Reading symbols from /usr/local/lib/libxcb-shape.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb-shape.so.0
Reading symbols from /usr/local/lib/libgbm.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgbm.so.1
Reading symbols from /usr/local/lib/libdrm.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libdrm.so.2
Reading symbols from /usr/local/lib/libglapi.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libglapi.so.0
Reading symbols from /usr/local/lib/libxcb-glx.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libxcb-glx.so.0
Reading symbols from /usr/local/lib/libXxf86vm.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXxf86vm.so.1
Reading symbols from /usr/local/lib/libgraphite2.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgraphite2.so.3
Reading symbols from /usr/lib/libc++.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libc++.so.1
Reading symbols from /lib/libcxxrt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libcxxrt.so.1
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /usr/local/lib/gtk-2.0/2.10.0/engines/libmurrine.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/gtk-2.0/2.10.0/engines/libmurrine.so
Reading symbols from /usr/local/lib/gtk-2.0/2.10.0/engines/libpixmap.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/gtk-2.0/2.10.0/engines/libpixmap.so
Reading symbols from /usr/local/lib/xfce4/panel/plugins/libapplicationsmenu.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/xfce4/panel/plugins/libapplicationsmenu.so
Reading symbols from /usr/local/lib/libgarcon-gtk2-1.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgarcon-gtk2-1.so.0
Reading symbols from /usr/local/lib/libgarcon-1.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgarcon-1.so.0
Reading symbols from /usr/local/lib/gio/modules/libgvfsdbus.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/gio/modules/libgvfsdbus.so
Reading symbols from /usr/local/lib/gvfs/libgvfscommon.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/gvfs/libgvfscommon.so
Reading symbols from /lib/libutil.so.9...(no debugging symbols found)...done.
Loaded symbols for /lib/libutil.so.9
Reading symbols from /usr/local/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so
Reading symbols from /usr/local/lib/xfce4/panel/plugins/libshowdesktop.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/xfce4/panel/plugins/libshowdesktop.so
Reading symbols from /usr/local/lib/xfce4/panel/plugins/liblauncher.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/xfce4/panel/plugins/liblauncher.so
Reading symbols from /usr/local/lib/gio/modules/libgioremote-volume-monitor.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/gio/modules/libgioremote-volume-monitor.so
Reading symbols from /usr/local/lib/xfce4/panel/plugins/libtasklist.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/xfce4/panel/plugins/libtasklist.so
Reading symbols from /usr/local/lib/xfce4/panel/plugins/libseparator.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/xfce4/panel/plugins/libseparator.so
Reading symbols from /usr/local/lib/xfce4/panel/plugins/libpager.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/xfce4/panel/plugins/libpager.so
Reading symbols from /usr/local/lib/xfce4/panel/plugins/libclock.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/xfce4/panel/plugins/libclock.so
Reading symbols from /usr/local/lib/pango/1.8.0/modules/pango-basic-fc.so...(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/pango/1.8.0/modules/pango-basic-fc.so
Reading symbols from /libexec/ld-elf.so.1...(no debugging symbols found)...done.
Loaded symbols for /libexec/ld-elf.so.1
#0  0x0000000803f0864a in thr_kill () from /lib/libc.so.7
[New Thread 80b9d2800 (LWP 100517/<unknown>)]
[New Thread 80b9cdc00 (LWP 100380/<unknown>)]
[New Thread 80b954800 (LWP 100343/<unknown>)]
[New Thread 80b806400 (LWP 100741/<unknown>)]

Regards,
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 12:11:21 UTC
@Marko, could you include your gdb log (with 'bt' backtrace output added) as an attachment please

Also, for any future issues, please use attachments for long bodies of text/logs/etc instead of comments as it makes the conversation much easier to follow :)

I'm also going to look at adding a DEBUG option to this port, which might help us obtain more debug information. Stand by for that
Comment 2 Marko Cupać 2016-01-13 12:37:23 UTC
Created attachment 165496 [details]
xfce4-panel gdb log with backtrace
Comment 3 Marko Cupać 2016-01-13 12:45:00 UTC
(In reply to Kubilay Kocak from comment #1)

Hi Kubilay,
that was really quick, thank you!

Sorry for inline paste, but some want logs inline wrapped,others inline unwrapped or attached or linked from www... I am seriously considering maintenance of tabel with paste preferences per correspondent :)

Don't hesitate to contact me for further tests.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 13:00:30 UTC
(In reply to Marko Cupać from comment #3)

You're welcome Marko :)

I've created a patch against this port to add a DEBUG option which may provide us additional information. If you could:

* Apply the patch in bug 206198 again the port
* Enable DEBUG, rebuild the port
* Reproduce the crash (hopefully)
* Re-attach a new coredump + backtrace (bt)

Thanks!
Comment 5 Marko Cupać 2016-01-13 15:43:16 UTC
(In reply to Kubilay Kocak from comment #4)

I've patched, rebuilt and installed the new version. As I wrote in original report, this doesn't happen too frequent - once a week or so - so it could take some time for crash to actually happen. Once it does I'll report back.

pacija@mephala:~ % pkg info -f x11-wm/xfce4-panel
xfce4-panel-4.12.0_2
Name           : xfce4-panel
Version        : 4.12.0_2
Installed on   : Wed Jan 13 16:20:22 2016 CET
Origin         : x11-wm/xfce4-panel
Architecture   : freebsd:10:x86:64
Prefix         : /usr/local
Categories     : xfce x11-wm
Licenses       : LGPL21 and GPLv2
Maintainer     : xfce@FreeBSD.org
WWW            : http://docs.xfce.org/xfce/xfce4-panel/start
Comment        : Xfce's panel
Options        :
	DEBUG          : on
	GTK3           : on
	NLS            : on
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 16:10:36 UTC
(In reply to Marko Cupać from comment #5)

Great stuff Marko :) We're waiting for maintainer feedback anyway, so we have some time to kill (some processes)
Comment 7 Marko Cupać 2016-01-13 16:19:54 UTC
Created attachment 165505 [details]
xfce4-panel DEBUG gdb log with backtrace

I got it sooner than I expected. Moreover, 100% reproducible in my case.

Visiting the following webpage in firefox results in immediate crash of xfce4-panel:
http://www.psfhb.com/

BTW I have no affiliation with the website, I just visited it today because I was asked to check domain availability. I guess xfce4-panel shouldn't crash no matter what site I visit in firefox.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 16:23:12 UTC
(In reply to Marko Cupać from comment #7)

Hmm, a bit more info. I think its time for cairo debug :)
Comment 9 Marko Cupać 2016-01-13 16:32:37 UTC
(In reply to Kubilay Kocak from comment #8)

Perhaps this could be useful too - after crashing I restarted it from terminal. Once it crashed again, it threw the following to console:

pacija@mephala:~ % xfce4-panel 
Assertion failed: (!scaled_font->cache_frozen), function _cairo_scaled_glyph_page_destroy, file cairo-scaled-font.c, line 459.
Abort (core dumped)
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 16:48:11 UTC
(In reply to Marko Cupać from comment #9)

That looks similar to what's reported in the backtrace
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-13 17:04:30 UTC
@Marko, can you add WITH_DEBUG=yes to /etc/make.conf and rebuild cairo, pango and gobject. Just setting that should add the requisite -g to CFLAGS and prevent stripping binaries/libraries
Comment 12 Marko Cupać 2016-01-17 13:26:16 UTC
(In reply to Kubilay Kocak from comment #11)
I've put WITH_DEBUG=yes to the appropriate poudriere jail's make.conf, but poudriere needs to rebuild all the ports, and lot of them are failing to build:

http://pkg.kappastar.com/build.html?mastername=10%3Ax86%3A64-default-kappadtp&build=2016-01-15_10h07m57s

Can you give me more detailed instruction on how to add the requisite -g to CFLAGS and prevent stripping binaries/libraries in poudriere build environment?
Comment 13 Marko Cupać 2016-02-12 09:39:06 UTC
(In reply to Kubilay Kocak from comment #11)
Any news? My xfce4-panel still crashes.
Comment 14 Matthias Petermann 2016-03-06 23:38:12 UTC
I had the same problem, it disappeared after installing x11-fonts/droid-fonts-ttf
@Marko: might be worth trying this out
Comment 15 Guido Falsi freebsd_committer 2017-09-18 21:12:36 UTC
Hi,

Any news about this?

Is this problem still happening?

Thanks.
Comment 16 Marko Cupać 2017-10-02 11:08:57 UTC
I haven't experienced crash in a long time.

Currently I have xfce4-panel-4.12.1 on 11.1-RELEASE-p1. I also have droid-fonts-ttf-20131024_3 installed as chromium dependency, as suggested in comment #14.

In the meantime, website I mentioned in comment #7, which repeatedly crashed my browser, has disappeared.

As far as I'm concerned this can be closed. I don't know should it be marked as FIXED or Overcome By Events.
Comment 17 Guido Falsi freebsd_committer 2017-10-02 20:43:19 UTC
Problem reported as not present anymore.

Most probably fixed by the updates that happened in the meanwhile.
Comment 18 Marko Cupać 2018-04-18 11:56:05 UTC
Created attachment 192615 [details]
gdb log
Comment 19 Marko Cupać 2018-04-18 11:58:00 UTC
Another crash, newly installed system, no chromium and droid fonts installed, visiting link in firefox crashes panel:

https://www.discogs.com/%E6%88%90%E9%BE%8D-%E4%B8%80%E5%80%8B%E5%A5%BD%E4%BA%BA-Mr-Nice-Guy-%E9%9B%BB%E5%BD%B1%E5%8E%9F%E8%81%B2%E5%A4%A7%E7%A3%94/release/11267162

I gues I can easily workaround by installing droid fonts but still, this shouldn't happen, right?
Comment 20 Marko Cupać 2018-04-18 12:00:10 UTC
Here's what I get when starting xfce4-panel from terminal, after crash:

** (wrapper-2.0:80537): WARNING **: No outputs have backlight property

(wrapper-2.0:80537): Gtk-WARNING **: Negative content width -3 (allocation 1, extents 2x2) while allocating gadget (node button, owner PowerManagerButton)
Assertion failed: (!scaled_font->cache_frozen), function _cairo_scaled_glyph_page_destroy, file cairo-scaled-font.c, line 459.
Abort (core dumped)
Comment 21 Guido Falsi freebsd_committer 2018-06-01 07:19:24 UTC
(In reply to Marko Cupać from comment #19)
> Another crash, newly installed system, no chromium and droid fonts
> installed, visiting link in firefox crashes panel:
> 
> https://www.discogs.com/%E6%88%90%E9%BE%8D-
> %E4%B8%80%E5%80%8B%E5%A5%BD%E4%BA%BA-Mr-Nice-Guy-
> %E9%9B%BB%E5%BD%B1%E5%8E%9F%E8%81%B2%E5%A4%A7%E7%A3%94/release/11267162
> 
> I gues I can easily workaround by installing droid fonts but still, this
> shouldn't happen, right?

I saw this just now.

If visiting a link from firefox causes the crash it's an interaction from firefox.

I suspect a panel plugin triggering this. Maybe the one listing window titles is being confused by the title of the page. It's quite probable the problem shows up only if using a specific locale.

The fonts you're using can be missing some language specific glyph, for example.

If I'm right this is not easy to reproduce for someone using a different locale and font set.

Unluckily the gdb output you posted is not very useful, missing the whole backtrace.

Before grabbing and posting the gdb output you should give it the "bt" command and grabbing the output of that too.

Obviously gdb output can be made much more useful by having debug symbols in binaries, but it's not always strictly needed.
Comment 22 Marko Cupać 2018-07-06 09:50:11 UTC
Guido,

I think you're onto something about plugin crashing the panel, "Window Buttons" being the problematic one.

I am on 11.2-RELEASE now. Opening the following link in Chromium crashes the panel:

https://blog.goo.ne.jp/nhh0/m/201404/2

... but only when I have "Window Buttons" enabled.

I don't have x11-fonts/droid-fonts-ttf installed, I have never been installing it as a prime-origin, I guess it used to be chromium's dependency but not anymore.

So, I would say the crash happens when I open web page containing "east asian" characters (political correctness police, please don't be too harsh on me if I said something forbidden :D), in both Firefox and Chromium, when Window Buttons are presented in panel.

Here's my locale:

pacija@efreet:~ % locale
LANG=en_GB.UTF-8
LC_CTYPE=sr_RS.UTF-8@latin
LC_COLLATE=sr_RS.UTF-8@latin
LC_TIME=sr_RS.UTF-8@latin
LC_NUMERIC=sr_RS.UTF-8@latin
LC_MONETARY=sr_RS.UTF-8@latin
LC_MESSAGES="en_GB.UTF-8"
LC_ALL=

Would it be helpful to debuggers to remove custom locale and see if the problem persists?

Thank you in advance,
Comment 23 Guido Falsi freebsd_committer 2018-07-06 11:01:40 UTC
(In reply to Marko Cupać from comment #22)
> Guido,
> 
> I think you're onto something about plugin crashing the panel, "Window
> Buttons" being the problematic one.
> 
> I am on 11.2-RELEASE now. Opening the following link in Chromium crashes the
> panel:
> 
> https://blog.goo.ne.jp/nhh0/m/201404/2
> 
> ... but only when I have "Window Buttons" enabled.

Here using the C default locale that URL is not causing a crash.

But maybe I have some other font satisfying the requirement whole you are missing some font and that could be the cause of the crash. It should not crash obviously, that's a bug, but we need to identify it.

> 
> I don't have x11-fonts/droid-fonts-ttf installed, I have never been
> installing it as a prime-origin, I guess it used to be chromium's dependency
> but not anymore.
> 
> So, I would say the crash happens when I open web page containing "east
> asian" characters (political correctness police, please don't be too harsh
> on me if I said something forbidden :D), in both Firefox and Chromium, when
> Window Buttons are presented in panel.
> 
> Here's my locale:
> 
> pacija@efreet:~ % locale
> LANG=en_GB.UTF-8
> LC_CTYPE=sr_RS.UTF-8@latin
> LC_COLLATE=sr_RS.UTF-8@latin
> LC_TIME=sr_RS.UTF-8@latin
> LC_NUMERIC=sr_RS.UTF-8@latin
> LC_MONETARY=sr_RS.UTF-8@latin
> LC_MESSAGES="en_GB.UTF-8"
> LC_ALL=
> 
> Would it be helpful to debuggers to remove custom locale and see if the
> problem persists?

If you could test setting the default ("C") locale or an en_US locale and test again it could be useful to understand if the locale is the cause or some missing font.

If using the C locale it crashes anyway I'd rule out the locale setting and start looking at installed font as the real cause.
Comment 24 Marko Cupać 2018-07-06 11:43:35 UTC
(In reply to Guido Falsi from comment #23)

Hi,

thank you for quick reply. The crash happens with both C locale (completely commented out .login_conf) and en_US locale (.login_conf as follows)

me:\
  :charset=UTF-8:\
  :lang=en_US.UTF-8:\
  :setenv=LC_COLLATE=en_US.UTF-8,LC_CTYPE=en_US.UTF-8,LC_MESSAGES=en_US.UTF-8,LC_MONETARY=en_US.UTF-8,LC_NUMERIC=en_US.UTF-8,LC_TIME=en_US.UTF-8:

Of course, I checked each time if changes were applied with `locale' and they were.

Thank you once again for looking into it. The bug doesn't bother me much as it happens so rarely, still it would be nice to have it solved for the sake of software improvement.
Comment 25 Guido Falsi freebsd_committer 2018-07-11 09:58:07 UTC
(In reply to Marko Cupać from comment #24)
> (In reply to Guido Falsi from comment #23)
>
> me:\
>   :charset=UTF-8:\
>   :lang=en_US.UTF-8:\
>  
> :setenv=LC_COLLATE=en_US.UTF-8,LC_CTYPE=en_US.UTF-8,LC_MESSAGES=en_US.UTF-8,
> LC_MONETARY=en_US.UTF-8,LC_NUMERIC=en_US.UTF-8,LC_TIME=en_US.UTF-8:
> 
> Of course, I checked each time if changes were applied with `locale' and
> they were.
> 
> Thank you once again for looking into it. The bug doesn't bother me much as
> it happens so rarely, still it would be nice to have it solved for the sake
> of software improvement.

From what I see it's a font problem. The panel plugin seems to be crashing when it, for some reason, can't find the correct glyph, but could also be a problem in downstream libraries.

At least we now know the encoding isn't the main cause.

It will be necessary to work with upstream to solve this, since I don't know the details of X11 fonts management.

You should file a bug report in the XFCE bugzilla instance [1], and reference it here, so they are informed and help us.

[1] https://bugzilla.xfce.org/
Comment 26 Marko Cupać 2018-07-11 12:36:11 UTC
I reported the problem in XFCE's bug tracker, as instructed:

https://bugzilla.xfce.org/show_bug.cgi?id=14532
Comment 27 Guido Falsi freebsd_committer 2018-08-24 10:04:11 UTC
(In reply to Marko Cupać from comment #26)
> I reported the problem in XFCE's bug tracker, as instructed:
> 
> https://bugzilla.xfce.org/show_bug.cgi?id=14532

I report here some first finding by the xfce guys:

Looks like the bug was already reported some time back and is actually not present in the development version.

Unluckily a bug fix for the stable version of panel is not being worked on.
Comment 28 Marko Cupać 2018-08-30 16:19:18 UTC
(In reply to Guido Falsi from comment #27)

Hi Guido,

thank you for your effort. I can live with this bug as crash happens so rarely. I'm a bit disappointed that XFCE devs closed it as "FIXED", while it is still present in stable production version.

Should I leave this open? Or close with "Works as intended" or "Rejected"?

Regards,
Comment 29 Guido Falsi freebsd_committer 2018-08-30 19:14:46 UTC
(In reply to Marko Cupać from comment #28)
> (In reply to Guido Falsi from comment #27)
> 
> Hi Guido,
> 
> thank you for your effort. I can live with this bug as crash happens so
> rarely. I'm a bit disappointed that XFCE devs closed it as "FIXED", while it
> is still present in stable production version.
> 

Unluckily I can't force them to act on this, I can only try to prod them in doing something.

> Should I leave this open? Or close with "Works as intended" or "Rejected"?
> 

The problem actually exists and is confirmed, so closing it is not correct. Let's leave this open, A solution could be found in the future.
Comment 30 Guido Falsi freebsd_committer 2019-09-25 08:18:07 UTC
(In reply to Guido Falsi from comment #27)

>Looks like the bug was already reported some time back and is actually not present in the development version.

Hi,

Since XFCE has now been updated to 4.14, including a new panel version, can you test if the problem is now actually fixed?

Thanks!
Comment 31 Marko Cupać 2019-09-26 08:24:23 UTC
(In reply to Guido Falsi from comment #30)

I visited all the problematic links I posted above, in both Firefox and Chromium, on two boxes. Both are 12.0-RELEASE-p10 amd64, but one is still on xfce-4.12_1, while the other is already on xfce-4.14.

Also, I don't have x11-fonts/droid-fonts-ttf installed on either of the two machines, it appears Chromium dropped it as a dependency.

No panels crashed, yay! :)

As far as I am concerned, this one has been squashed. Feel free to close it, or instruct me what is the best reason for closing (FIXED? Overcome By Events?)

Thanx everyone.
Comment 32 Guido Falsi freebsd_committer 2019-09-26 13:58:38 UTC
(In reply to Marko Cupać from comment #31)

Great, then I'm closing this myself. Overcome by events looks reasonable in this case.

Thanks for the feedback!